org.apache.lucene.luke.app.desktop.components.fragments.search

## Class AnalyzerPaneProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.fragments.search.AnalyzerPaneProvider

All Implemented Interfaces:
  ComponentOperatorRegistry.ComponentOperator, AnalyzerTabOperator

    public final class AnalyzerPaneProvider
    extends Object
    implements AnalyzerTabOperator

Provider of the Analyzer pane

### Constructor Summary

Constructors
Constructor and Description
`AnalyzerPaneProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JScrollPane` `get()`
`void` `setAnalyzer(Analyzer analyzer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnalyzerPaneProvider

    public AnalyzerPaneProvider()

### Method Detail

#### get

    public JScrollPane get()

#### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)

Specified by:
  `setAnalyzer` in interface `AnalyzerTabOperator`